Package org.apache.sling.repoinit.parser.operations

# Enum AclLine.Action

java.lang.Object
java.lang.Enum<AclLine.Action>
org.apache.sling.repoinit.parser.operations.AclLine.Action

All Implemented Interfaces:
  `Serializable`, `Comparable<AclLine.Action>`

Enclosing class:
  AclLine

public static enum AclLine.Action extends Enum<AclLine.Action>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALLOW`
`DENY`
`REMOVE`
`REMOVE_ALL`

## Method Summary

Modifier and Type
Method
Description
`static AclLine.Action`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AclLine.Action[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### REMOVE

public static final AclLine.Action REMOVE

### REMOVE_ALL

public static final AclLine.Action REMOVE_ALL

### DENY

public static final AclLine.Action DENY

### ALLOW

public static final AclLine.Action ALLOW

## Method Details

### values

public static AclLine.Action[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static AclLine.Action valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null